Page MenuHomePhabricator

Create page or site for non-Wikimedian translators
Closed, ResolvedPublic

Description

We should have a site or page aimed at translators, giving a short introduction to translating for the Wikimedia projects and guiding potential contributors to different types of translations: content translations, technical translations, Meta translations. Compare whatcanidoforwikimedia.org. The point is to be able to reach out to people who are interested in translations, e.g. translation students or people who'd like to be translators, who could be interested but are unaware of the fact that we'd appreciate their help.

The website is not a solution in itself; it's a tool to use when communicating with potential translators.

Related (missing features that would be welcome):

Event Timeline

Johan created this task.Apr 2 2016, 7:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2016, 7:31 AM
Johan updated the task description. (Show Details)Apr 2 2016, 8:09 AM
Johan moved this task from Backlog to Do soon on the User-Johan board.Apr 2 2016, 8:41 AM
Qgil added a comment.May 31 2016, 7:15 AM

I think this task is blocked on T121197: Goal: Translations strategy and maybe also on T128790: Translation strategy – act and refine (instead of the other way around). First comes the strategy, then the resulting actions. In order to implement this task, first we need to check whether it is the right task to implement.

Nemo_bis changed the task status from Open to Stalled.May 31 2016, 1:03 PM
Nemo_bis added a subscriber: Nemo_bis.
Johan changed the task status from Stalled to Open.EditedMay 31 2016, 2:26 PM

Well, Nemo, that's simply not true. "Potentially weak rationale I disagree with" ≠ "lacking rationale".

If I'm the only one who thinks this is a good idea, it shouldn't be done by the WMF with WMF resources. But that wouldn't necessarily keeping me from doing it in my spare time and hosting it myself, if I remain convinced it would help me with outreach I do in my volunteer capacity.

Additionally, this Phab task says "page or site". Page would mean "on Meta". That's not what I first and foremost had/have in mind, but I could, as always, be mistaken, of course.

Nemo_bis removed a subscriber: Nemo_bis.May 31 2016, 3:11 PM
Johan added a comment.Aug 8 2016, 11:00 AM

This is now focued on closing T137231: Help the Wikimedia translators community by collecting translation information onto one page, T131581: Centralize information about translations within the movement and T131580: Create page or site for non-Wikimedian translators (though the last one will probably just be included in the work on Meta and no separate website, due to lack of community support for the latter option).

Qgil added a comment.Aug 8 2016, 1:04 PM

Are T137231 and T131581 blockers of this task, then?

Johan added a comment.Sep 4 2016, 4:40 AM

No, not really. But they'll make it easier. But this is mainly a rhetorical exercise: a very simple tool to link to where you can have a landing page that, unlike other information on Meta, doesn't assume potential translators are already familiar with the movement.

Johan added a comment.Sep 4 2016, 4:50 AM

Since there was no community support for going with a site for this, I'm just creating a very simple page on Meta. Nothing fancy, just contextualizing the information for non-Wikimedians.

Some sort of draft.

That draft is cool!

Qgil added a comment.Sep 6 2016, 12:14 PM

As discussed with Johan in our 1:1, as a volunteer translator myself I think it would be good to add whatever links we have at hand to let potential translators learn the status of their preferred language(s).

The current draft offers simple pointers for volunteers convinced that they want to translate. However, many are not convinced, just considering. In my case, I remember that I started contributing Catalan translations to a (non-Wikimedia) project after seeing who was active in my language. That gave me an impression of how healthy the group already was, and also contacts to ask questions in my own language, personally.

I don't know what tools we have in land to see who is translating i.e. to Catalan in e.g. mediawiki.org or translatewiki.net. The automated metrics offer some links to languages... Maybe this should be a task on its own (and this social aspect should be mentioned in the Translation strategy).

There is already some statistics about translations, but they are not that easy to use, export or transclude. That may need a specific development (like quite everything related to that project).

https://meta.wikimedia.org/wiki/Special:SupportedLanguages has some statistics for the Translate extension.

Meta:Babylon/Translations/New translators has now a landing page that can be used if you want to convince someone who is interested in translating but not familiar with the Wikimedia movement to get involved. Not a lot of information, so they won't be overwhelmed, and not assuming they're familiar with our terms. Not very pretty, but it's a wiki. It can be improved.

Johan closed this task as Resolved.Sep 30 2016, 12:46 AM
Qgil added a comment.Sep 30 2016, 11:44 AM

Shouldn't this be the first link under "Getting started" at https://meta.wikimedia.org/wiki/Meta:Babylon instead of the last one?

Qgil awarded a token.Sep 30 2016, 11:45 AM

Probably not, because it's aimed a non-Wikimedian translators.

The first link on Meta:Babylon is an introduction to translation for people who are familiar with the Wikimedia sites, and they're probably far more likely to find their way to the translation hub on Meta on their own. I'd see this more as a resource we can use if we talk to people who would like to get involved in the movement as translators, and something that's more likely to be useful if you link to it in conversations than the top thing on Meta:Babylon.

Qgil added a comment.Sep 30 2016, 12:03 PM

OK, thank you for the reasoning.

Johan added a comment.Sep 30 2016, 1:02 PM

Of course, someone might disagree with my edits on Babylon and rearrange things. (: But no one had really done anything to make sure it's up to date for a long while, so it felt best to be bold and just fix it.

Johan moved this task from Do soon to Archive on the User-Johan board.Jul 26 2017, 3:21 AM